Update an inventory channel
PATCH
/v1/organizations/{organizationId}/inventory-channels/{channelId}
API key scope: inventory:write.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”channelId
required
string
Header Parameters
Section titled “Header Parameters”X-Request-Id
string
Optional client request id returned in structured errors.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
string
Example
Web storetype
string
status
string
metadata
object
Example
{ "marketplace": "web"}Responses
Section titled “Responses”Inventory channel updated.
Media typeapplication/json
object
id
required
string format: uuid
organizationId
required
string format: uuid
environment
required
string
name
required
string
code
required
string
type
required
string
status
required
string
metadata
object
key
additional properties
any
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Example
{ "id": "eeeeeeee-eeee-4eee-8eee-eeeeeeeeeeee", "organizationId": "11111111-1111-4111-8111-111111111111", "environment": "test", "name": "Marketplace", "code": "MARKETPLACE", "type": "marketplace", "status": "active", "metadata": { "region": "US" }, "createdAt": "2026-07-03T10:00:00.000Z", "updatedAt": "2026-07-03T10:00:00.000Z"}The organization has exhausted its monthly public API request quota.
Media typeapplication/json
Example
{ "error": { "code": "PLAN_LIMIT_EXCEEDED", "message": "Plan limit exceeded for api_requests", "requestId": "req_123", "details": { "entitlementKey": "api_requests", "scope": "environment", "environment": "live", "configured": true, "limit": "50000", "used": "50000", "requested": "1", "currentPlan": { "code": "free", "version": 1 }, "requiredPlan": { "code": "starter", "version": 1, "requiresOverride": false } } }}